Compute Management/VM Related Interfaces
PUTVM Related InterfacesSince 4.1.0SynchronousAuth Required
Set VM Clock Sync
Set VM Clock Sync
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredResource UUID, a unique identifier for the resource
Body Fields
setvmclocktrackObjectRequiredsetvmclocktrack request body object.
trackStringRequiredNo description provided.
syncAfterVMResumeBooleanWhether to sync after pause to resume
intervalInSecondsIntegerRegular sync interval
systemTagsListSystem Tags
userTagsListUser Tags
Responses
Endpoint
PUT/zstack/v1/vm-instances/{uuid}/actions
/zstack/v1/vm-instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmclocktrack":{"track":"<track>","syncAfterVMResume":true,"intervalInSeconds":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "19d64f55a9723e59849c0f9357a0dded", "name": "Test-VM", "description": "web server VM", "zoneUuid": "553326a3b554380ca4e4b2976efa4df5", "clusterUuid": "c9a8ba243c5a3d59b144e4e1ace143a2", "imageUuid": "e4297acdd9b43e3f9b7a8ec74211a3f2", "hostUuid": "f841ef12962037369ea4d8f3ba4c9c28", "lastHostUuid": "3b6273ea6b1a384584178e11f05bf1f0", "instanceOfferingUuid": "9ce1349c65ff3c80a423267837f5f34e", "rootVolumeUuid": "5319e0ae2b483949bf25b059a674dbc8", "platform": "Linux", "defaultL3NetworkUuid": "c715b758cd843ac997ccdfbbcc9097cc", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8589934592, "cpuNum": 1, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Stopped", "vmNics": [ { "uuid": "8585080b6b5236a5875e8162c062e551", "vmInstanceUuid": "19d64f55a9723e59849c0f9357a0dded", "usedIpUuid": "c0bbe89468fa3b2aa6dc4e8aaa6df3f7", "l3NetworkUuid": "c715b758cd843ac997ccdfbbcc9097cc", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0, "state": "enable", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "5319e0ae2b483949bf25b059a674dbc8", "name": "Root-Volume-For-VM-19d64f55a9723e59849c0f9357a0dded", "primaryStorageUuid": "0e4e3cf961873074b8b3eca3bc693ece", "vmInstanceUuid": "19d64f55a9723e59849c0f9357a0dded", "diskOfferingUuid": "f1b95ad6d26e336e8809764ec2936fd2", "rootImageUuid": "e4297acdd9b43e3f9b7a8ec74211a3f2", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-5319e0ae2b483949bf25b059a674dbc8/5319e0ae2b483949bf25b059a674dbc8.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }Change History
This API has no change history records yet.
